package org.duniter.elasticsearch.action.currency;

/*
 * #%L
 * duniter4j-elasticsearch-plugin
 * %%
 * Copyright (C) 2014 - 2016 EIS
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-3.0.html>.
 * #L%
 */

import org.elasticsearch.client.Client;
import org.elasticsearch.common.inject.Inject;
import org.elasticsearch.common.settings.Settings;
import org.elasticsearch.rest.*;

import static org.elasticsearch.rest.RestStatus.OK;

/**
 * A action to post a request to process a new currency/peer.
 *
 * TODO :
 *  - add security, to allow only request from admin (check signature against settings keyring)
 */
public class RestCurrencyIndexAction extends BaseRestHandler {

    @Inject
    public RestCurrencyIndexAction(Settings settings, RestController controller, Client client) {
        super(settings, controller, client);
        controller.registerHandler(RestRequest.Method.POST, "/currency", this);
    }

    @Override
    protected void handleRequest(RestRequest restRequest, RestChannel restChannel, Client client) throws Exception {
        String json = restRequest.content().toUtf8();
        //ServiceLocator.instance().getRegistryCurrencyIndexerService().indexCurrency();
        String currencyName = "";
        restChannel.sendResponse(new BytesRestResponse(OK, currencyName));
    }

}